attribute vec3 a_position;
attribute vec2 a_texcoord;
attribute vec2 a_texcoordMin;
attribute vec2 a_texcoordMax;

varying vec2 v_texcoord;
varying vec2 v_texcoordMin;
varying vec2 v_texcoordMax;

uniform int u_vertType;
uniform mat4 u_MVPMatrix;
void main()
{
	v_texcoord = a_texcoord;
	if(u_vertType == 1)
	{
		v_texcoordMin = a_texcoordMin;
		v_texcoordMax = a_texcoordMax;
	}
	gl_Position = u_MVPMatrix * vec4(a_position,1.0);
}