precision highp float;
varying highp vec2 texcoordOut;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;
void main()
{
	vec4 oralData = texture2D( inputImageTexture, texcoordOut);
	vec4 tempData = texture2D( inputImageTexture2, texcoordOut);
	float fAlpha = texture2D( inputImageTexture3, texcoordOut).r;
	oralData = mix(tempData,oralData,fAlpha);
	oralData.a = 1.0;
	gl_FragColor = oralData;
}