precision mediump float;
varying vec2 texcoordOut;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform int nTextCount;
uniform vec4 color1;
uniform vec4 color2;
uniform vec4 color3;
uniform vec4 color4;
uniform vec4 textureCoord1;
uniform vec4 textureCoord2;
uniform vec4 textureCoord3;
uniform vec4 textureCoord4;
void main()
{
    vec4 oralData = texture2D( inputImageTexture, texcoordOut);
    float maskAlpha = texture2D( inputImageTexture2, texcoordOut).r;
    if (nTextCount >=3)
    {
        if (texcoordOut.x >=textureCoord1.x && texcoordOut.x<= (textureCoord1.x + textureCoord1.z) && texcoordOut.y >=textureCoord1.y && texcoordOut.y<= (textureCoord1.y + textureCoord1.w))
        {
            vec4 tempColor = color1;
            float alpha = tempColor.a * maskAlpha;
            oralData = mix(oralData,tempColor,alpha);
            oralData.a = 1.0;
        }
        if (texcoordOut.x >=textureCoord2.x && texcoordOut.x<= (textureCoord2.x + textureCoord2.z) && texcoordOut.y >=textureCoord2.y && texcoordOut.y<= (textureCoord2.y + textureCoord2.w))
        {
            vec4 tempColor = color2;
            float alpha = tempColor.a * maskAlpha;
            oralData = mix(oralData,tempColor,alpha);
            oralData.a = 1.0;
        }
        if (texcoordOut.x >=textureCoord3.x && texcoordOut.x<= (textureCoord3.x + textureCoord3.z) && texcoordOut.y >=textureCoord3.y && texcoordOut.y<= (textureCoord3.y + textureCoord3.w))
        {
            vec4 tempColor = color3;
            float alpha = tempColor.a * maskAlpha;
            oralData = mix(oralData,tempColor,alpha);
            oralData.a = 1.0;
        }
        
    }
    if (nTextCount == 4)
    {
        if (texcoordOut.x >=textureCoord4.x && texcoordOut.x<= (textureCoord4.x + textureCoord4.z) && texcoordOut.y >=textureCoord4.y && texcoordOut.y<= (textureCoord4.y + textureCoord4.w))
        {
            vec4 tempColor = color4;
            float alpha = tempColor.a * maskAlpha;
            oralData = mix(oralData,tempColor,alpha);
            oralData.a = 1.0;
        }
    }
    gl_FragColor = oralData;
}