precision mediump float;
varying vec2 texcoordOut;
uniform sampler2D texture;
uniform sampler2D texture2;

void main()
{
	vec4 topColor = texture2D( texture2, texcoordOut);
	vec4 bottomColor = texture2D(texture, texcoordOut);
	vec3 resultRGB;
//	if(bottomColor.a==1.0)
	{
	   resultRGB = mix(bottomColor.rgb, topColor.rgb,bottomColor.r*topColor.a);
	}
	gl_FragColor = vec4(resultRGB,1.0);
}